Page MenuHomeFreeBSD

New port: devel/p5-MooX-Singleton: Turn your Moo class into singleton
ClosedPublic

Authored by kai on Apr 9 2019, 10:31 AM.

Details

Summary

Role::Tiny role that provides "instance" method turning your object into
singleton.

NOTE: Subsequent calls to "instance" will return the singleton instance ignoring any arguments. This is different from MooseX::Singleton which does not allow any arguments.

WWW: https://metacpan.org/pod/MooX::Singleton

PR: 237109
Submitted by: Geoffroy Desvernay
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENTr345355 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests -> OK

Test results with "make test" yields:

t/00-compile.t ...... ok
t/moox-singleton.t .. ok
All tests successful.
Files=2, Tests=139, 0 wallclock secs ( 0.04 usr 0.01 sys + 0.26 cusr 0.07 csys = 0.38 CPU)
Result: PASS

Minor fixes to the original patch:

  • Changed MAINTAINER to submitter's address
  • Added _LICENSE_FILE for ART10 and GPLv1+
  • Merged pkg-plist into PLIST_FILES
  • Improved pkg-descr a bit to make distinction somewhat easier between devel/p5-Moo-Singleton and devel/p5-MooseX-Singleton

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 23655
Build 22636: arc lint + arc unit

Event Timeline

kai created this revision.Apr 9 2019, 10:31 AM
kai updated this revision to Diff 56160.Apr 13 2019, 10:27 AM

Minor fixes:

  • Hook the port for building
  • Write BUILD_DEPENDS fully out instead referencing to ${RUN_DEPENDS}
miwi accepted this revision.Apr 15 2019, 3:10 AM

LGTM

This revision is now accepted and ready to land.Apr 15 2019, 3:10 AM
Closed by commit rP499007: New port: devel/p5-MooX-Singleton (authored by kai, committed by ). · Explain WhyApr 15 2019, 9:07 AM
This revision was automatically updated to reflect the committed changes.